# FluxNLPModels: An NLPModels Interface to Flux

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaSmoothOptimizers.github.io/FluxNLPModels.jl/stable)
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaSmoothOptimizers.github.io/FluxNLPModels.jl/dev)
[![Build Status](https://github.com/JuliaSmoothOptimizers/FluxNLPModels.jl/workflows/CI/badge.svg)](https://github.com/JuliaSmoothOptimizers/FluxNLPModels.jl/actions)
[![Codecov](https://codecov.io/gh/JuliaSmoothOptimizers/FluxNLPModels.jl/branch/main/graph/badge.svg)](https://codecov.io/gh/JuliaSmoothOptimizers/FluxNLPModels.jl) 

This package serves as an NLPModels interface to the [Flux.jl](https://github.com/FluxML/Flux.jl) deep learning framework. It enables seamless integration between Flux's neural network architectures and NLPModels' optimization tools for natural language processing tasks.

## Installation

To use FluxNLPModels, add the package in the Julia package manager:

```julia
pkg> add FluxNLPModels
```

## How to Use

Please refer to the [documentation](https://JuliaSmoothOptimizers.github.io/FluxNLPModels.jl/stable/) for detailed usage instructions and examples.

## How to Cite

If you use FluxNLPModels.jl in your work, please cite it using the provided format in [`CITATION.bib`](https://github.com/JuliaSmoothOptimizers/FluxNLPModels.jl/blob/main/CITATION.bib).

## Bug Reports and Discussions

If you encounter any bugs or have suggestions for improvement, please open an [issue](https://github.com/JuliaSmoothOptimizers/FluxNLPModels.jl/issues). For general questions or discussions related to this repository and the [JuliaSmoothOptimizers](https://github.com/JuliaSmoothOptimizers) organization, feel free to start a discussion [here](https://github.com/JuliaSmoothOptimizers/Organization/discussions).
